Page MenuHomePhabricator

rust-matchers: add functions to get roots, dirs and parents from patterns
ClosedPublic

Authored by Alphare on Jan 17 2020, 5:41 AM.

Details

Summary

These functions will be used to help build the upcoming IncludeMatcher.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Alphare created this revision.Jan 17 2020, 5:41 AM
kevincox requested changes to this revision.Jan 17 2020, 11:05 AM
kevincox added inline comments.
rust/hg-core/src/matchers.rs
248

I'm confused by the "for each" since this only returns one tuple.

309

Please describe the return value.

This revision now requires changes to proceed.Jan 17 2020, 11:05 AM
Alphare marked 2 inline comments as done.Jan 17 2020, 11:37 AM
Alphare updated this revision to Diff 19418.Jan 17 2020, 11:52 AM
Alphare updated this revision to Diff 19939.Feb 6 2020, 10:15 AM
kevincox accepted this revision.Feb 10 2020, 10:22 AM

@kevincox
I am currently fighting a nasty rebase and will be re-sending a lot of these patches (in less than 30 minutes hopefully). Just so you don't have to re-check another time. :)

Thanks for the heads up. I'll try to dedup them.

Alphare updated this revision to Diff 20161.Feb 11 2020, 6:13 AM
martinvonz accepted this revision.Mar 6 2020, 1:59 AM
This revision is now accepted and ready to land.Mar 6 2020, 1:59 AM